#
# spec file for package rubygem-rubyforge
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubyforge
Version:        2.0.4
Release:        16.7
%define mod_name rubyforge
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://codeforpeople.rubyforge.org/rubyforge/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  raise-on-auth-fail.patch
# /MANUAL
Summary:        A script which automates a limited set of rubyforge operations
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
A script which automates a limited set of rubyforge operations.
* Run 'rubyforge help' for complete usage.
* Setup: For first time users AND upgrades to 0.4.0:
* rubyforge setup (deletes your username and password, so run sparingly!)
* edit ~/.rubyforge/user-config.yml
* rubyforge config
* For all rubyforge upgrades, run 'rubyforge config' to ensure you have
latest.

%prep
%gem_unpack
%patch0 -p1
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.txt README.txt" \
  -f

%gem_packages

%changelog
* Fri Oct 17 2014 mrueckert@suse.de
- re-add patch
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Thu Mar 21 2013 coolo@suse.com
- new template
* Sun Oct  3 2010 kkaempf@novell.com
- report wrong authentication (upstream bug #28615)
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 2.0.4
  * Stubbed out login and logout commands to print a warning and
    return
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Nov 13 2009 mrueckert@suse.de
- update to 2.0.3
* Mon Mar 23 2009 mrueckert@suse.de
- update to 1.0.3
* Sat Jan 31 2009 dmacvicar@suse.de
- update to 1.0.2
* Wed Oct  1 2008 mrueckert@suse.de
- update to version 1.0.0
* Tue May 22 2007 mrueckert@suse.de
- update to version 0.4.2
* Fri Oct  6 2006 mrueckert@suse.de
- update to version 0.3.0
